# Get a profile

## Get a profile object by ID

<mark style="color:blue;">`GET`</mark> `https://app.copyfactory.io/api/v2/profiles/get/`

Retrieves the details of an existing profile. Supply the unique profile ID and the API will return the corresponding project information.

#### Query Parameters

| Name        | Type | Description           |
| ----------- | ---- | --------------------- |
| profile\_id | int  | The unique profile ID |

#### Headers

| Name                                            | Type   | Description              |
| ----------------------------------------------- | ------ | ------------------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Your Copyfactory API key |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
		"data": {
		"id": 1,
		"profile_name": "Copyfactory",
		"profile_domain": "copyfactory.io",
		"is_active": true,
		"current_tool": "Apollo",
		"created_timestamp": "2021-05-18T21:04:26Z"
	}
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Shell" %}

```
curl --location --request GET 'https://app.copyfactory.io/api/v2/profiles/get?profile_id=PROFILE-ID/' \
--header 'Authorization: API-KEY'
```

{% endtab %}

{% tab title="Python" %}

```
import requests

url = "https://app.copyfactory.io/api/v2/profiles/get/"

payload={}

params = (('profile_id', 'PROFILE-ID'),)

headers = {
  'Authorization': 'API-KEY'
}

response = requests.request("GET", url, headers=headers,params=params, data=payload)

print(response.text)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.copyfactory.io/api/profiles/get-a-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
